petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMForestGetCellWeights

Get the weights assigned to each of the cells (see DMForestGetCellChart()) of the current process: weights are used to determine parallel partitioning. Partitions will be created so that each process's ratio of weight to capacity (see DMForestSetWeightCapacity()) is roughly equal. If NULL, each cell receives a weight of 1.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetCellWeights(DM dm, PetscReal **weights)

Not collective

### Input Parameter

dm -the forest

### Output Parameter

weights -the array of weights for all cells, or NULL to indicate each cell has weight 1.

### See Also

DMForestSetCellWeights(), DMForestSetWeightCapacity()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages